al_stop_audio_recorder(3)

NAME

al_stop_audio_recorder - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    void al_stop_audio_recorder(ALLEGRO_AUDIO_RECORDER *r)

DESCRIPTION

Stop capturing audio data. Note that the audio recorder is still active and consuming resources, so if you are finished recording you should destroy it with al_destroy_audio_recorder(3).

You may still receive a few events after you call this function as the device flushes the buffer.

If you restart the recorder, it will begin recording at the beginning of the next fragment buffer.

SINCE

5.1.1

    [Unstable API]: The API may need a slight redesign.